| Version: 3.2.5

Public Member Functions | Public Attributes | List of all members
wxRealPoint Class Reference
Class List by Category » Data Structures

`#include <wx/gdicmn.h>`

## Detailed Description

A wxRealPoint is a useful data structure for graphics operations.

It contains floating point x and y members. See wxPoint for an integer version.

Note that the coordinates stored inside a wxRealPoint object may be negative and that wxRealPoint functions do not perform any check against negative values.

##

Library: wxCore
Category: Data Structures

See also
  wxPoint

## Public Member Functions

| wxRealPoint ()
| Initializes to zero the x and y members. More...
| wxRealPoint (double x, double y)
| Initializes the point with the given coordinates. More...
| wxRealPoint (const wxPoint &pt)
| Converts the given wxPoint (with integer coordinates) to a wxRealPoint. More...
Miscellaneous operators
Note that these operators are documented as class members (to make them easier to find) but, as their prototype shows, they are implemented as global operators; note that this is transparent to the user but it helps to understand why the following functions are documented to take the wxPoint they operate on as an explicit argument.
wxRealPoint & | operator= (const wxRealPoint &pt)
bool | operator== (const wxRealPoint &p1, const wxRealPoint &p2)
bool | operator!= (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint | operator+ (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint | operator- (const wxRealPoint &p1, const wxRealPoint &p2)
wxRealPoint & | operator+= (const wxRealPoint &pt)
wxRealPoint & | operator-= (const wxRealPoint &pt)
wxRealPoint | operator+ (const wxRealPoint &pt, const wxSize &sz)
wxRealPoint | operator- (const wxRealPoint &pt, const wxSize &sz)
wxRealPoint | operator+ (const wxSize &sz, const wxRealPoint &pt)
wxRealPoint | operator- (const wxSize &sz, const wxRealPoint &pt)
wxRealPoint & | operator+= (const wxSize &sz)
wxRealPoint & | operator-= (const wxSize &sz)
wxRealPoint | operator/ (const wxRealPoint &sz, int factor)
wxRealPoint | operator* (const wxRealPoint &sz, int factor)
wxRealPoint | operator* (int factor, const wxRealPoint &sz)
wxRealPoint & | operator/= (int factor)
wxRealPoint & | operator*= (int factor)

## Public Attributes

double | x
| X coordinate of this point. More...
double | y
| Y coordinate of this point. More...

## Constructor & Destructor Documentation

## ◆ wxRealPoint() [1/3]

wxRealPoint::wxRealPoint | ( |  | ) |

Initializes to zero the x and y members.

## ◆ wxRealPoint() [2/3]

wxRealPoint::wxRealPoint | ( | double | x,
|  | double | y
| ) |  |

Initializes the point with the given coordinates.

## ◆ wxRealPoint() [3/3]

wxRealPoint::wxRealPoint | ( | const wxPoint & | pt | ) |

Converts the given wxPoint (with integer coordinates) to a wxRealPoint.

## Member Function Documentation

## ◆ operator!=()

bool wxRealPoint::operator!= | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2
| ) |  |

## ◆ operator*() [1/2]

wxRealPoint wxRealPoint::operator* | ( | const wxRealPoint & | sz,
|  | int | factor
| ) |  |

## ◆ operator*() [2/2]

wxRealPoint wxRealPoint::operator* | ( | int | factor,
|  | const wxRealPoint & | sz
| ) |  |

## ◆ operator*=()

wxRealPoint& wxRealPoint::operator*= | ( | int | factor | ) |

## ◆ operator+() [1/3]

wxRealPoint wxRealPoint::operator+ | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2
| ) |  |

## ◆ operator+() [2/3]

wxRealPoint wxRealPoint::operator+ | ( | const wxRealPoint & | pt,
|  | const wxSize & | sz
| ) |  |

## ◆ operator+() [3/3]

wxRealPoint wxRealPoint::operator+ | ( | const wxSize & | sz,
|  | const wxRealPoint & | pt
| ) |  |

## ◆ operator+=() [1/2]

wxRealPoint& wxRealPoint::operator+= | ( | const wxRealPoint & | pt | ) |

## ◆ operator+=() [2/2]

wxRealPoint& wxRealPoint::operator+= | ( | const wxSize & | sz | ) |

## ◆ operator-() [1/3]

wxRealPoint wxRealPoint::operator- | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2
| ) |  |

## ◆ operator-() [2/3]

wxRealPoint wxRealPoint::operator- | ( | const wxRealPoint & | pt,
|  | const wxSize & | sz
| ) |  |

## ◆ operator-() [3/3]

wxRealPoint wxRealPoint::operator- | ( | const wxSize & | sz,
|  | const wxRealPoint & | pt
| ) |  |

## ◆ operator-=() [1/2]

wxRealPoint& wxRealPoint::operator-= | ( | const wxRealPoint & | pt | ) |

## ◆ operator-=() [2/2]

wxRealPoint& wxRealPoint::operator-= | ( | const wxSize & | sz | ) |

## ◆ operator/()

wxRealPoint wxRealPoint::operator/ | ( | const wxRealPoint & | sz,
|  | int | factor
| ) |  |

## ◆ operator/=()

wxRealPoint& wxRealPoint::operator/= | ( | int | factor | ) |

## ◆ operator=()

wxRealPoint& wxRealPoint::operator= | ( | const wxRealPoint & | pt | ) |

## ◆ operator==()

bool wxRealPoint::operator== | ( | const wxRealPoint & | p1,
|  | const wxRealPoint & | p2
| ) |  |

## Member Data Documentation

## ◆ x

double wxRealPoint::x

X coordinate of this point.

## ◆ y

double wxRealPoint::y

Y coordinate of this point.